<template>
  <div class="wrap">
    <div class="center">
      <p>b:{{b}}</p>
      <p>Grandson的$attrs:{{$attrs}}</p>
      <button @click="grandsonReduce">Grandson减d</button>
    </div>
    <GrandsonChild v-bind="$attrs"></GrandsonChild>
  </div>
</template>

<script>
import GrandsonChild from './GrandsonChild.vue';
export default {
  name: 'Grandson',
  props: {
    b: Number
  },
  components:{
    GrandsonChild
  },
  data () {
    return {
      msg: 'Grandson'
    }
  },
  methods:{
    grandsonReduce() {
      this.$emit('reduce');
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
